commit:     ef1269d1fe2512b71dcf2c75b78b8fc8534ec293
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sat Feb 13 09:46:42 2021 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sat Feb 13 09:48:40 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ef1269d1

dev-ruby/actionpack: add 6.0.3.5

Package-Manager: Portage-3.0.13, Repoman-3.0.2
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/actionpack/Manifest                  |  1 +
 dev-ruby/actionpack/actionpack-6.0.3.5.ebuild | 59 +++++++++++++++++++++++++++
 2 files changed, 60 insertions(+)

diff --git a/dev-ruby/actionpack/Manifest b/dev-ruby/actionpack/Manifest
index 563252c516c..3f453af3cff 100644
--- a/dev-ruby/actionpack/Manifest
+++ b/dev-ruby/actionpack/Manifest
@@ -2,3 +2,4 @@ DIST rails-5.2.4.3.tgz 8824955 BLAKE2B 
7db1bdda581e345713b796152c68e13911076c0af
 DIST rails-5.2.4.4.tgz 8825200 BLAKE2B 
e56f828f46ef72a2ec59006f37410aa53ca33730452d74d8deefc3975a24940500a48864c18523fad1141e025192b8bfc0c050abc04a01a88333fc825640d4b9
 SHA512 
6ea50009f769e2e2e6df6cd31fb10e8a770c61f28496432cb7a30265f9064fa8e61c8a0c2569fa056baf31d273ab25cc8c9bd02523214a35e3bbd94e4db293e5
 DIST rails-5.2.4.5.tgz 8826076 BLAKE2B 
41a13708f72f0c281af7b6c97828d873b9431913315e155bec2f798b83a9fd214a0176a93ba74d96b48718dc900b6737a62f5d6593ef7f5bb0b8430c96e5e234
 SHA512 
452e0649638daf57e8f7c6131bb048c0d960e875fbc3596678404965fd1438a5151858b22c2441a927509337b6a256671b53c24ee35ff477e18153af358b08af
 DIST rails-6.0.3.4.tgz 18568864 BLAKE2B 
8f554a25ce02e4752c1a964257836a5cb0a6c01c3453ff11cd8423a9153e90ab833a32cadfe939a34e094cefd553f5514abd7817004b464b054889ab7dc05b76
 SHA512 
147f76792ce2d2484071fe247c8f1541c9ca27dcc405ff7a780771e3436a9acf3d326bbfd7c6dceca510b6f4d5209ee0a0859867174b8291d796ffd519fa2ba9
+DIST rails-6.0.3.5.tgz 18566999 BLAKE2B 
b07d1d6c1e2ebaaf3c337350bb08fe339e324818543dcd7163fe3c7ff56f50c5556f369badeb4fd48afa6d95449e18e57fa1b05db6ce544d38ee2f58bd3aa513
 SHA512 
c9d6bf689aeb40fb728fb681b65c48ebd51de893060ddac37a1fdefbb0d420cee3a456f148d96d577c651c9d7b994efdb3319fa865cb012af8712052a20a0bf3

diff --git a/dev-ruby/actionpack/actionpack-6.0.3.5.ebuild 
b/dev-ruby/actionpack/actionpack-6.0.3.5.ebuild
new file mode 100644
index 00000000000..2ee9f0b1be6
--- /dev/null
+++ b/dev-ruby/actionpack/actionpack-6.0.3.5.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+USE_RUBY="ruby25 ruby26 ruby27"
+
+RUBY_FAKEGEM_RECIPE_DOC="none"
+RUBY_FAKEGEM_DOCDIR="doc"
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.rdoc"
+
+RUBY_FAKEGEM_GEMSPEC="actionpack.gemspec"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+inherit ruby-fakegem
+
+DESCRIPTION="Eases web-request routing, handling, and response"
+HOMEPAGE="https://github.com/rails/rails";
+SRC_URI="https://github.com/rails/rails/archive/v${PV}.tar.gz -> 
rails-${PV}.tgz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1-2)"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
+IUSE=""
+
+RUBY_S="rails-${PV}/${PN}"
+
+ruby_add_rdepend "
+       ~dev-ruby/activesupport-${PV}
+       ~dev-ruby/actionview-${PV}
+       || ( dev-ruby/rack:2.2 dev-ruby/rack:2.1 >=dev-ruby/rack-2.0.8:2.0 )
+       >=dev-ruby/rack-test-0.6.3:*
+       >=dev-ruby/rails-html-sanitizer-1.2.0:1
+       dev-ruby/rails-dom-testing:2
+"
+
+ruby_add_bdepend "
+       test? (
+               dev-ruby/mocha:0.14
+               dev-ruby/bundler
+               >=dev-ruby/capybara-2.15
+               ~dev-ruby/activemodel-${PV}
+               ~dev-ruby/railties-${PV}
+               >=dev-ruby/rack-cache-1.2:1.2
+               www-servers/puma
+       )"
+
+all_ruby_prepare() {
+       # Remove items from the common Gemfile that we don't need for this
+       # test run. This also requires handling some gemspecs.
+       sed -i -e 
"/\(system_timer\|sdoc\|w3c_validators\|pg\|execjs\|jquery-rails\|'mysql'\|journey\|ruby-prof\|stackprof\|benchmark-ips\|kindlerb\|turbolinks\|coffee-rails\|debugger\|sprockets-rails\|redcarpet\|bcrypt\|uglifier\|sprockets\|stackprof\)/
 s:^:#:" \
+               -e '/:job/,/end/ s:^:#:' \
+               -e '/group :doc/,/^end/ s:^:#:' ../Gemfile || die
+       rm ../Gemfile.lock || die
+
+       # Use different timezone notation, this changed at some point due to an 
external dependency changing.
+       sed -i -e 's/-0000/GMT/' test/dispatch/response_test.rb 
test/dispatch/cookies_test.rb test/dispatch/session/cookie_store_test.rb || die
+}

Reply via email to